### Class

# WPEWebKit BackForwardList

#### Description [src]

    final class WPEWebKit.BackForwardList : GObject.Object
    {
      /* No available fields */
    }

List of visited pages.

WebKitBackForwardList maintains a list of visited pages used to navigate to recent pages. Items are inserted in the list in the order they are visited.

WebKitBackForwardList also maintains the notion of the current item (which is always at index 0), the preceding item (which is at index -1), and the following item (which is at index 1). Methods `webkit_web_view_go_back()` and `webkit_web_view_go_forward()` move the current item backward or forward by one. Method `webkit_web_view_go_to_back_forward_list_item()` sets the current item to the specified item. All other methods returning `WebKitBackForwardListItem`s do not change the value of the current item, they just return the requested item or items.

#### Ancestors

- GObject

#### Instance methods

###### webkit_back_forward_list_get_back_item

Returns the item that precedes the current item.

###### webkit_back_forward_list_get_back_list

Obtain the list of items preceding the current one.

###### webkit_back_forward_list_get_back_list_with_limit

Obtain a list up to some number of items preceding the current one.

###### webkit_back_forward_list_get_current_item

Returns the current item in `back_forward_list`.

###### webkit_back_forward_list_get_forward_item

Returns the item that follows the current item.

###### webkit_back_forward_list_get_forward_list

Obtain the list of items following the current one.

###### webkit_back_forward_list_get_forward_list_with_limit

Obtain a list up to some number of items following the current one.

###### webkit_back_forward_list_get_length

Obtain the amount of items in the list.

###### webkit_back_forward_list_get_nth_item

Returns the item at a given index relative to the current item.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### WPEWebKit.BackForwardList::changed

This signal is emitted when `back_forward_list` changes. This happens when the current item is updated, a new item is added or one or more items are removed. Note that both `item_added` and `items_removed` can `NULL` when only the current item is updated. Items are only removed when the list is cleared or the maximum items limit is reached.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEWebKitBackForwardListClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.